🚧 [Experimental] Get data transfer logs
Returns replication or operation logs for a transfer, with filtering and pagination.
Request
POST
https://api.datalens.tech/rpc/getDataTransferLogs
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"logEntity": {
"transferId": "example",
"title": "example",
"replicationLog": {},
"operationLog": {
"operationId": "example"
},
"fromTime": {
"seconds": "example",
"nanos": 0.5
},
"toTime": {
"seconds": "example",
"nanos": 0.5
},
"logsOrder": "LOGS_ORDER_UNSPECIFIED"
},
"pageSize": "example",
"pageToken": "example",
"criteria": {
"since": {
"seconds": "example",
"nanos": 0.5
},
"until": {
"seconds": "example",
"nanos": 0.5
},
"levels": [
"LEVEL_UNSPECIFIED"
],
"logsOrder": "LOGS_ORDER_UNSPECIFIED"
}
}
|
Name |
Description |
||||||||||||||||
|
logEntity |
Type: object
Transfer log entity to read. Example
|
||||||||||||||||
|
criteria |
Type: object
Log event filters. Cannot be combined with pageToken. Example
|
||||||||||||||||
|
pageSize |
Type: string Maximum number of log events, encoded as a string. Pattern: Example: |
||||||||||||||||
|
pageToken |
Type: string Page token from a preceding response. Cannot be combined with criteria. Example: |
DataTransferLogLevel
Severity level of the log event.
Type: string
Enum: LEVEL_UNSPECIFIED, TRACE, DEBUG, INFO, WARN, ERROR, FATAL
Responses
200 OK
Response
Body
application/json
{
"logEvents": [
{
"logGroupId": "example",
"streamName": "example",
"createdAt": {
"seconds": "example",
"nanos": 0.5
},
"message": "example",
"level": "LEVEL_UNSPECIFIED",
"payload": "example"
}
],
"nextPageToken": "example",
"previousPageToken": "example"
}
|
Name |
Description |
|
logEvents |
Type: DataTransferLogEvent[] Log events matching the request. Example
|
|
nextPageToken |
Type: string Token for the next page of log events. Example: |
|
previousPageToken |
Type: string Token for the previous page of log events. Example: |
DataTransferLogEvent
|
Name |
Description |
||||
|
createdAt |
Type: object
Time when the log event was created. Example
|
||||
|
level |
Type: DataTransferLogLevel Severity level of the log event. Enum: |
||||
|
logGroupId |
Type: string ID of the log group. Example: |
||||
|
message |
Type: string Log event message. Example: |
||||
|
payload |
Type: string Additional log event data encoded as a string. Example: |
||||
|
streamName |
Type: string Name of the log stream. Example: |
Example
{
"logGroupId": "example",
"streamName": "example",
"createdAt": {
"seconds": "example",
"nanos": 0.5
},
"message": "example",
"level": "LEVEL_UNSPECIFIED",
"payload": "example"
}